# classes/phing/types/Excludes.php

## \Excludes
jump to top

Datatype which handles excluded files, classes and methods.

This class handles the common description attribute and provides a default implementation for reference handling and checking for circular references that is appropriate for types that can not be nested inside elements of the same type (i.e. patternset but not path)

Extends from
  \DataType
author
  Benjamin Schultz
package
  phing.types
since
  2.4.6
version
  $Id: Excludes.php 1206 2011-07-03 22:46:44Z bschultz $

### Properties

`array $_classes= 'array'`

Holds the excluded classes

Default value `array` Details

Type
  array

`\DirectoryScanner $_directoryScanner= 'null'`

The directory scanner for getting the excluded files

Default value `null` Details

Type
  \DirectoryScanner

`array $_files= 'array'`

Holds the excluded file patterns

Default value `array` Details

Type
  array

`array $_methods= 'array'`

Holds the excluded methods

Default value `array` Details

Type
  array

### Methods

`__construct( \Project $project ) :`
ctor
Parameters

Name | Type | Description
--- | --- | ---
$project | \Project |

`_addClass( $classList ) : \ExcludesNameEntry`
Adds a class to the exclusion list
Parameters

Name | Type | Description
--- | --- | ---
$classList |  |

Returns

Type | Description
--- | ---
\ExcludesNameEntry |

`_addFile( $fileList ) : \ExcludesNameEntry`
Adds a file to the exclusion list
Parameters

Name | Type | Description
--- | --- | ---
$fileList |  |

Returns

Type | Description
--- | ---
\ExcludesNameEntry |

`_addMethod( $methodList ) : \ExcludesNameEntry`
Adds a method to the exclusion list
Parameters

Name | Type | Description
--- | --- | ---
$methodList |  |

Returns

Type | Description
--- | ---
\ExcludesNameEntry |

`createClass( ) : \ExcludesNameEntry`
Add a name entry on the exclude class list
Returns

Type | Description
--- | ---
\ExcludesNameEntry |

`createFile( ) : \ExcludesNameEntry`
Add a name entry on the exclude file list
Returns

Type | Description
--- | ---
\ExcludesNameEntry |

`createMethod( ) : \ExcludesNameEntry`
Add a name entry on the exclude method list
Returns

Type | Description
--- | ---
\ExcludesNameEntry |

`getExcludedClasses( ) : array`
Returns the excluded class names
Returns

Type | Description
--- | ---
array |

`getExcludedFiles( ) : array`
Returns the excluded files
Returns

Type | Description
--- | ---
array |

`getExcludedMethods( ) : array`
Returns the excluded method names
Returns

Type | Description
--- | ---
array |

Documentation was generated by DocBlox 0.13.1.